summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMarkus Meier <maekke@gentoo.org>2009-01-12 23:09:46 +0000
committerMarkus Meier <maekke@gentoo.org>2009-01-12 23:09:46 +0000
commit6f5f218865f8bccb88e659674e528846642748d9 (patch)
treeb1b9e55b82f05bc71effb16424c38ebeb2244db1 /eclass
parentImport fix for ksquares-4.1.3 from kde-testing (diff)
downloadhistorical-6f5f218865f8bccb88e659674e528846642748d9.tar.gz
historical-6f5f218865f8bccb88e659674e528846642748d9.tar.bz2
historical-6f5f218865f8bccb88e659674e528846642748d9.zip
whitespace
Diffstat (limited to 'eclass')
-rw-r--r--eclass/font.eclass14
-rw-r--r--eclass/gnat.eclass6
-rw-r--r--eclass/gnome-python-common.eclass4
-rw-r--r--eclass/java-osgi.eclass4
-rw-r--r--eclass/kde-meta.eclass4
-rw-r--r--eclass/linux-info.eclass4
-rw-r--r--eclass/mozconfig-3.eclass4
-rw-r--r--eclass/mysql.eclass6
-rw-r--r--eclass/php-pear-lib-r1.eclass48
-rw-r--r--eclass/php-pear-r1.eclass4
-rw-r--r--eclass/toolchain.eclass10
11 files changed, 54 insertions, 54 deletions
diff --git a/eclass/font.eclass b/eclass/font.eclass
index df741c4e38c4..247451488dc3 100644
--- a/eclass/font.eclass
+++ b/eclass/font.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/font.eclass,v 1.42 2009/01/06 19:24:06 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/font.eclass,v 1.43 2009/01/12 22:54:46 maekke Exp $
# @ECLASS: font.eclass
# @MAINTAINER:
@@ -23,31 +23,31 @@ FONT_SUFFIX=""
# @ECLASS-VARIABLE: FONT_S
# @DESCRIPTION:
# Dir containing the fonts
-FONT_S=${S}
+FONT_S=${S}
# @ECLASS-VARIABLE: FONT_PN
# @DESCRIPTION:
# Last part of $FONTDIR
-FONT_PN=${PN}
+FONT_PN=${PN}
# @ECLASS-VARIABLE: FONTDIR
# @DESCRIPTION:
# This is where the fonts are installed
-FONTDIR=/usr/share/fonts/${FONT_PN}
+FONTDIR=/usr/share/fonts/${FONT_PN}
# @ECLASS-VARIABLE: FONT_CONF
# @DESCRIPTION:
# Array, which element(s) is(are) path(s) of fontconfig-2.4 file(s) to install
-FONT_CONF=( "" )
+FONT_CONF=( "" )
# @ECLASS-VARIABLE: DOCS
# @DESCRIPTION:
# Docs to install
-DOCS=""
+DOCS=""
IUSE="X"
-DEPEND="X? ( x11-apps/mkfontdir
+DEPEND="X? ( x11-apps/mkfontdir
media-fonts/encodings )
media-libs/fontconfig"
diff --git a/eclass/gnat.eclass b/eclass/gnat.eclass
index de24695fcd5e..f77ee5d80564 100644
--- a/eclass/gnat.eclass
+++ b/eclass/gnat.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.36 2008/07/19 09:20:06 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.37 2009/01/12 22:55:53 maekke Exp $
#
# Author: George Shapovalov <george@gentoo.org>
# Belongs to: ada herd <ada@gentoo.org>
@@ -276,7 +276,7 @@ gnat_pkg_setup() {
# check whether all the primary compilers are installed
. ${GnatCommon} || die "failed to source gnat-common lib"
for fn in $(cat ${PRIMELIST}); do
- if [[ ! -f ${SPECSDIR}/${fn} ]]; then
+ if [[ ! -f ${SPECSDIR}/${fn} ]]; then
elog "The ${fn} Ada compiler profile is specified as primary, but is not installed."
elog "Please rectify the situation before emerging Ada library!"
elog "Please either install again all the missing compilers listed"
@@ -288,7 +288,7 @@ gnat_pkg_setup() {
die "Primary compiler is missing"
fi
done
-
+
export ADAC=${ADAC:-gnatgcc}
export ADAMAKE=${ADAMAKE:-gnatmake}
export ADABIND=${ADABIND:-gnatbind}
diff --git a/eclass/gnome-python-common.eclass b/eclass/gnome-python-common.eclass
index 4b4105ab1c73..2ee9e3caf841 100644
--- a/eclass/gnome-python-common.eclass
+++ b/eclass/gnome-python-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome-python-common.eclass,v 1.6 2008/12/01 14:29:06 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome-python-common.eclass,v 1.7 2009/01/12 23:09:46 maekke Exp $
# Original Author: Arun Raghavan <ford_prefect@gentoo.org> (based on the
# gnome-python-desktop eclass by Jim Ramsay <lack@gentoo.org>)
@@ -25,7 +25,7 @@
# So, for example, with the bonobo bindings, the original package is libbonobo
# and the packages is named dev-python/libbonobo-python
-inherit versionator python autotools gnome2
+inherit versionator python autotools gnome2
G_PY_PN=${G_PY_PN:-gnome-python}
G_PY_BINDINGS=${G_PY_BINDINGS:-${PN%-python}}
diff --git a/eclass/java-osgi.eclass b/eclass/java-osgi.eclass
index 151233921f8f..c2f3296b5b72 100644
--- a/eclass/java-osgi.eclass
+++ b/eclass/java-osgi.eclass
@@ -5,7 +5,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-osgi.eclass,v 1.4 2008/01/14 16:48:38 elvanor Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-osgi.eclass,v 1.5 2009/01/12 22:58:36 maekke Exp $
# -----------------------------------------------------------------------------
# @eclass-begin
@@ -192,7 +192,7 @@ _java-osgi_makejar-fromfile() {
local absoluteJarPath="$(_canonicalise ${1})"
local jarName="$(basename ${1})"
-
+
mkdir "${_OSGI_T}/tmp_jar" || die "Unable to create directory ${_OSGI_T}/tmp_jar"
[[ -d "${_OSGI_T}/osgi" ]] || mkdir "${_OSGI_T}/osgi" || die "Unable to create directory ${_OSGI_T}/osgi"
diff --git a/eclass/kde-meta.eclass b/eclass/kde-meta.eclass
index 05f91e675b6f..eeb1f35d16e3 100644
--- a/eclass/kde-meta.eclass
+++ b/eclass/kde-meta.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-meta.eclass,v 1.86 2008/09/13 21:30:21 carlo Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-meta.eclass,v 1.87 2009/01/12 23:03:08 maekke Exp $
# @ECLASS: kde-meta.eclass
# @MAINTAINER:
@@ -87,7 +87,7 @@ if [[ "${KMNAME}" != "koffice" ]]; then
RDEPEND="${RDEPEND} !=$(get-parent-package ${CATEGORY}/${PN})-${SLOT}*"
else
case ${EAPI:-0} in
- 0)
+ 0)
# EAPIs without SLOT dependencies.
IFSBACKUP="$IFS"
IFS=".-_"
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index 5bda9d581937..e250aa5c40b2 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.57 2008/12/03 18:11:47 dsd Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.58 2009/01/12 23:04:54 maekke Exp $
#
# Original author: John Mylchreest <johnm@gentoo.org>
# Maintainer: kernel-misc@gentoo.org
@@ -527,7 +527,7 @@ check_extra_config() {
fi
einfo "Checking for suitable kernel configuration options..."
-
+
for config in ${CONFIG_CHECK}
do
# if we specify any fatal, ensure we honor them
diff --git a/eclass/mozconfig-3.eclass b/eclass/mozconfig-3.eclass
index 54772450521c..e6d6680340fd 100644
--- a/eclass/mozconfig-3.eclass
+++ b/eclass/mozconfig-3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.5 2008/07/29 20:50:24 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.6 2009/01/12 23:07:03 maekke Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -20,7 +20,7 @@ RDEPEND="x11-libs/libXrender
>=x11-libs/pango-1.10.1
>=dev-libs/libIDL-0.8.0
gnome? ( >=gnome-base/gnome-vfs-2.16.3
- >=gnome-base/libgnomeui-2.16.1
+ >=gnome-base/libgnomeui-2.16.1
>=gnome-base/gconf-2.16.0
>=gnome-base/libgnome-2.16.0 )
dbus? ( >=dev-libs/dbus-glib-0.72 )
diff --git a/eclass/mysql.eclass b/eclass/mysql.eclass
index ac56e1ace306..5523c2e3701d 100644
--- a/eclass/mysql.eclass
+++ b/eclass/mysql.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.102 2008/11/29 02:30:43 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.103 2009/01/12 23:08:17 maekke Exp $
# Author: Francesco Riosa (Retired) <vivo@gentoo.org>
# Maintainer: MySQL Team <mysql-bugs@gentoo.org>
@@ -358,7 +358,7 @@ configure_40_41_50() {
else
myconf="${myconf} $(use_with ssl openssl)"
fi
-
+
if mysql_version_is_at_least "5.0.60" ; then
if use berkdb ; then
elog "Berkeley DB support was disabled due to build failures"
@@ -513,7 +513,7 @@ mysql_pkg_setup() {
eerror "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
die "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
fi
-
+
# This should come after all of the die statements
enewgroup mysql 60 || die "problem adding 'mysql' group"
enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user"
diff --git a/eclass/php-pear-lib-r1.eclass b/eclass/php-pear-lib-r1.eclass
index ef67fd1ef4b2..f92ec0303ef3 100644
--- a/eclass/php-pear-lib-r1.eclass
+++ b/eclass/php-pear-lib-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.14 2008/03/19 09:27:28 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.15 2009/01/12 22:48:06 maekke Exp $
#
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -45,29 +45,29 @@ php-pear-lib-r1_src_install() {
cd "${S}"
- if [[ -f "${WORKDIR}"/package2.xml ]] ; then
- mv -f "${WORKDIR}/package2.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
- local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
- pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
- install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package2.xml" || die "Unable to install PEAR package"
- else
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package2.xml" || die "Unable to install PEAR package"
- fi
- else
- mv -f "${WORKDIR}/package.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
- local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
- pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
- install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
- else
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
- fi
- fi
+ if [[ -f "${WORKDIR}"/package2.xml ]] ; then
+ mv -f "${WORKDIR}/package2.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ fi
+ else
+ mv -f "${WORKDIR}/package.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ fi
+ fi
rm -Rf "${D}/usr/share/php/.channels" \
"${D}/usr/share/php/.depdblock" \
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index 1dfc4ed190e5..5760b4dc7ab3 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.21 2008/03/19 09:27:28 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.22 2009/01/12 23:09:02 maekke Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -71,7 +71,7 @@ php-pear-r1_src_install() {
esac
cd "${S}"
-
+
if [[ -f "${WORKDIR}"/package2.xml ]] ; then
mv -f "${WORKDIR}/package2.xml" "${S}"
if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index c60e9a5884d1..540e0e6db7d7 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.380 2009/01/10 12:53:50 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.381 2009/01/12 22:51:38 maekke Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -333,8 +333,8 @@ get_gcc_src_uri() {
GCC_SRC_URI="${GCC_SRC_URI} !nopie? ( $(gentoo_urls ${PIE_CORE}) )"
# gcc minispec for the hardened gcc 4 compiler
- [[ -n ${SPECS_VER} ]] && \
- GCC_SRC_URI="${GCC_SRC_URI} !nopie? ( $(gentoo_urls gcc-${SPECS_GCC_VER}-specs-${SPECS_VER}.tar.bz2) )"
+ [[ -n ${SPECS_VER} ]] && \
+ GCC_SRC_URI="${GCC_SRC_URI} !nopie? ( $(gentoo_urls gcc-${SPECS_GCC_VER}-specs-${SPECS_VER}.tar.bz2) )"
# gcc bounds checking patch
if [[ -n ${HTB_VER} ]] ; then
@@ -707,7 +707,7 @@ setup_minispecs_gcc_build_specs() {
# Setup the "build.specs" file for gcc to use when building.
if want_minispecs ; then
if hardened_gcc_works pie ; then
- cat "${WORKDIR}"/specs/pie.specs >> "${WORKDIR}"/build.specs
+ cat "${WORKDIR}"/specs/pie.specs >> "${WORKDIR}"/build.specs
fi
for s in nostrict znow; do
cat "${WORKDIR}"/specs/${s}.specs >> "${WORKDIR}"/build.specs
@@ -724,7 +724,7 @@ copy_minispecs_gcc_specs() {
cat "${WORKDIR}"/build.specs >> "${WORKDIR}"/specs/specs
insinto ${LIBPATH}
doins "${WORKDIR}"/specs/* || die "failed to install specs"
- fi
+ fi
}
add_profile_eselect_conf() {
local compiler_config_file=$1